<?php

	session_start();

	$operation = $_POST['operation'];
	
	if($operation == "renome")	
	{
		$nom_copie = $_POST['fichier'];
		$chemin = $_POST['chemin'];
	
		$nouveau_nom = $_POST['nouveau_nom'];
		$chemin = $_POST['chemin'];
		// split chemin avec /
		$pieces = explode("/", $chemin);
		$n = count($pieces);
		$pieces[$n-1] = $nouveau_nom;
		// reconstruire le chemin du nouveau fichier
		$nouveau_chemin = implode("/", $pieces);
		rename($chemin,$nouveau_chemin);
		//echo $chemin ." ---- " .$nouveau_chemin;

	}

	if($operation == "copie")	
	{
	
		if(isset($_POST['selection']))
		{
			// supprimer . et ..
			array_shift($_SESSION['repertoire']);
			array_shift($_SESSION['repertoire']);	
		
			// identification repertoire 
			$tmp = $_SESSION['repertoire'];
			
			for ($i=0; $i < count($_SESSION['repertoire']); $i++) 
			{
				$tab_repertoire[] = "d*".$tmp[$i];
			}
			
			// identification fichier 
			$tmp = $_SESSION['fichier'];
			
			for ($i=0; $i < count($_SESSION['fichier']); $i++) 
			{
				$tab_fichier[] = "f*".$tmp[$i];
			}
			
			$tab_global = array_merge($tab_repertoire, $tab_fichier);
			echo "<pre>";
			print_r($tab_global);

			// supprime le premier caractere de la chaine :
			$str = substr($_POST['liste_index'],1); 
			$pieces = explode(":", $str);
			
			for ($i=0; $i < count($pieces); $i++) 
			{
				$id = $pieces[$i];
				$coco[] = $tab_global[$id];
				
				if (strpos($tab_global[$id],'d*') !== false) 
				{
					echo "Repertoire";
				
				} 
				else
				{
					echo "Fichier";
				}
				
				
			}
			
			//$chemin = $_POST['chemin'];
			echo "<pre>";
			print_r($coco);
		}

		else
		{
			$nom_copie = $_POST['fichier'];
			$chemin = $_POST['chemin'];
	
			// split chemin avec /
			$pieces = explode("/", $chemin);
			$n = count($pieces);
			$pieces[$n-1] = $nom_copie;
			// reconstruire le chemin du nouveau fichier
			$nouveau_chemin = implode("/", $pieces);
			//$file = "Utilisateurs/25.jpg";
			//$newfile = "Utilisateurs/zzzzzzzzzzzz.jpg";
			copy($chemin,$nouveau_chemin);
			echo "lkkklhkhkhkhhhl";
			//echo "-----> " .$chemin ." " .$nouveau_chemin; 
		}
	}
	
	if($operation == "efface")	
	{
		$chemin = $_POST["chemin"];
		unlink($chemin);
		echo 1;
		//echo $chemin;
		//echo "Je vire le fichier";
	}
	
	if($operation == "deplace")	
	{
		$fichier = $_POST['fichier'];
		$selection_repertoire = $_POST['selection_repertoire'];
		$chemin = $_POST['chemin'];
		
		$origine = $chemin;
		$destination = $selection_repertoire ."/" .$fichier;
		//echo $origine ."+++" .$destination;
	
		$test = strcmp($origine, $destination);
		if($test == 0)
		{
			echo 2;
		}
		else
		{
			copy($origine, $destination);
			unlink($origine);
			echo 1;
		}
		
	}
	
?>